CLEAR ALL
PRINT
PRINT "Use the mouse to paint, 'C' to clear the canvas, or Esc to quit."
BITMAP 1 NEW 32,32
TARGET BITMAP 1
INK RGB(255,255,255)
CIRCLE FILL 16,16,15
SPRITE 1 BIND BITMAP 1 SHOW MOVE 640,400
SCREEN 6
PIXEL OPERATOR 2
DO
    k$=LCASE$(INKEY$)
    IF k$="c" THEN CLEAR BITMAP
    IF k$=CHR$(VK_ESC) THEN EXIT DO
    x=MOUSE.X:y=MOUSE.Y:b=MOUSE.BUTTONS
    SPRITE 1 MOVE x,y TINT PLASMA.COLOR
    IF b=1 THEN INK PLASMA.COLOR:BLIT BITMAP 1 TO x,y ALIGN 0,0
    PAUSE
LOOP
